## cyrus-sasl2 2.1.26.dfsg1

=== debian/changelog ===
cyrus-sasl2 (2.1.26.dfsg1-14build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:19:05 +0000

cyrus-sasl2 (2.1.26.dfsg1-14) unstable; urgency=medium

  * [CVE-2013-4122]: Handle NULL returns from glibc 2.17+ crypt()
    (Closes: #784112)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Sep 2015 14:35:31 +0200

cyrus-sasl2 (2.1.26.dfsg1-13) unstable; urgency=medium

  * Shutdown down the write side of the socket and wait for the client to
    close the connection (0 byte read) before closing the server side
    (Closes: #777349) (Courtesy of Kees Cook)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 Mar 2015 14:21:23 +0100

cyrus-sasl2 (2.1.26.dfsg1-12) unstable; urgency=medium

  * Add patch to fix login to dovecot imapd 2.x (Closes: #715040)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 Oct 2014 14:41:06 +0200

cyrus-sasl2 (2.1.26.dfsg1-11) unstable; urgency=medium

  * Create libsasl2.pc from Makefile for proper substitions
    (Closes: #754066)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Jul 2014 10:59:23 +0200

cyrus-sasl2 (2.1.26.dfsg1-10) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Actually install the logcheck snippet in the package (Closes: #732771)
  * Build-Depend on 'automake (>=1:1.14)', as automake in wheezy no longer
    builds this package

  [ Ondřej Surý ]
  * Install libsasl2.pc into libsasl2-dev package (Closes: #752907)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 09:18:27 +0200

cyrus-sasl2 (2.1.26.dfsg1-9) unstable; urgency=high

  * saslauthd: refuse to start if debug option (-d) is set in options
    passed to init script (Closes: #558014)
  * Fix FTBFS with clang (Closes: #739561)
  * libsasl2-2: Restore empty /usr/lib/sasl2 directory (Closes: #739601)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 02 Mar 2014 09:22:47 -0500

cyrus-sasl2 (2.1.26.dfsg1-8) unstable; urgency=low

  * Fix buginess that results in the keytab configuration option not
    working on MIT Kerberos (Closes: #651308).
  * Remove obsolete deversion from cyrus-sasl2-heimdal-dbg (Closes: #664729)
  * Release server credentials when longer needed to prevent running out of
    file descriptors (Closes: #722569).
  * Incorporate new watch file.
  * Update to Standards-Version 3.9.5 (no changes).
  * Make saslauthd init script stop in run levels 0 and 6 (Closes: #608351).
  * Add logcheck snippet to suppress "DIGEST-MD5 common mech free" messages
    (Closes: #732771, #631932).
  * Make DEB_BUILD_OPTIONS no-ldap, no-gssapi, no-sql actually work,
    thanks to Daniel Schepler for the patch (Closes: #724513).
  * Rename libsasl2-3 back to libsasl2-2, ABI breakage has already been
    handle previously and SONAME bump is not necessary.
  * Include sys/types.h in sasl.h (Closes: #719165).
  * Fix transposition of realm and service in debug log (Closes: #732373).
  * Add Polish debconf translation, thanks to Michał Kułach (Closes: #661249).
  * Changes to make lintian happy:
    + Use canonical URIs for Vcs-Browser and Vcs-Git control fields.
    + Make -dbg packages "Multi-Arch: same" so they are co-installable
    + Re-format NEWS file to get rid of changelog-style formatting

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 11 Feb 2014 18:58:43 -0500

cyrus-sasl2 (2.1.26.dfsg1-7) experimental; urgency=low

  * Add libsasl2-modules-db to the include/exclude lists in debian/rules.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 06 Oct 2013 20:12:53 -0600

cyrus-sasl2 (2.1.26.dfsg1-6) experimental; urgency=low

  * Split libsasl2-modules-db out of libsasl2-modules, so we can depend on
    it for smooth upgrades from wheezy without pulling in all the modules.
  * Explicitly build-depend on libkrb5-dev to fix FTBFS. (Closes: #724147)

 -- Adam Conrad <adconrad@0c3.net>  Sun, 06 Oct 2013 18:52:15 -0600

cyrus-sasl2 (2.1.26.dfsg1-5) experimental; urgency=low

  * Use --ignore-fail-on-non-empty option to rmdir instead of non-existent -f
    (Closes: #714601)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Jul 2013 12:06:53 +0200

cyrus-sasl2 (2.1.26.dfsg1-4) experimental; urgency=low

  * Change depend on libsasl2-modules to libsasl2-2 in libsasl2-dev
    (Closes: #714514)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Jul 2013 09:30:51 +0200

cyrus-sasl2 (2.1.26.dfsg1-3) experimental; urgency=low

  * Purge /usr/lib/sasl2/berkeley_db.active if the /etc/sasldb2 was purged
    or doesn't exist

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 10:08:09 +0200

cyrus-sasl2 (2.1.26.dfsg1-2) experimental; urgency=low

  * Ensure libsasl2-3 coinstallability with libsasl2-2
   + Install berkeley_db.txt to sasl2-bin (Closes: #713932)
   + Move sasldb plugin from libsasl2-3 to libsasl2-modules
     (Closes: #714091)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 10:08:09 +0200

cyrus-sasl2 (2.1.26.dfsg1-1) experimental; urgency=low

  * New upstream version 2.1.26.dfsg1
  * Update patches for 2.1.26 release
  * libsasl2-2 -> libsasl2-3 transition (Closes: #665476)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2013 13:06:51 +0200

cyrus-sasl2 (2.1.25.dfsg1-7) unstable; urgency=low

  * Use AC_CONFIG_MACRO_DIRS instead of AC_CONFIG_MACRO_DIR (Closes: #711219)
  * Fix heavy CPU usage in saslauthd (Closes: #708552)
  * Send LOGOUT before closing connection in auth_rimap (Closes: #708547)
  * Fix garbage in output buffer when using canonuser_plugin: ldapdb
    (Closes: #689346)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2013 13:41:17 +0200

cyrus-sasl2 (2.1.25.dfsg1-6) unstable; urgency=low

  * Fix failures when the host have broken hostname (Closes: #683555)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Oct 2012 14:06:11 +0200

cyrus-sasl2 (2.1.25.dfsg1-5) unstable; urgency=low

  * New sourceful upload (Closes: #676914)
  * Relabel /run directory for SE Linux (Closes: #677685)
  * Add a NEWS file about auxprop_plugin mysql->sql change
    (Closes: #680476)


=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>, Ondřej Surý <ondrej@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
	       quilt,
	       automake (>= 1:1.14),
	       autotools-dev,
	       libdb-dev,
	       libpam0g-dev,
	       libssl-dev,
	       libmysqlclient-dev | libmysqlclient15-dev,
	       libpq-dev,
	       heimdal-multidev,
	       krb5-multidev,
	       libkrb5-dev,
	       libsqlite3-dev,
	       libldap2-dev,
	       chrpath,
	       groff-base,
	       po-debconf,
	       docbook-to-man,
	       dh-autoreconf
Build-Conflicts: heimdal-dev
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cyrus-sasl2/cyrus-sasl2.git
Vcs-Git: git://anonscm.debian.org/pkg-cyrus-sasl2/cyrus-sasl2.git
Homepage: http://www.cyrusimap.org/

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Depends: libsasl2-2 (>= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 db-util
Breaks: libsasl2-2 (<< 2.1.26.dfsg1-2~)
Replaces: libsasl2-2 (<< 2.1.26.dfsg1-2~)
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.    

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules-db (>= ${binary:Version})
Recommends: libsasl2-modules (>= ${binary:Version})
Breaks: postfix (<= 2.8.3-1), slapd (<= 2.4.25-3)
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.

Package: libsasl2-modules
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Suggests: libsasl2-modules-otp,
	  libsasl2-modules-ldap,
	  libsasl2-modules-sql,
	  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Breaks: logcheck-database (<= 1.3.16~)
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-db
Architecture: any
Multi-Arch: same
Breaks: libsasl2-2 (<< 2.1.25.dfsg1-9~), libsasl2-2 (<< 2.1.26.dfsg1-2~)
Replaces: libsasl2-2 (<< 2.1.25.dfsg1-9~), libsasl2-2 (<< 2.1.26.dfsg1-2~), libsasl2-modules (<< 2.1.26.dfsg1-6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (DB)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the DB plugin, which supports Berkeley DB lookups.

Package: libsasl2-modules-ldap
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-modules-gssapi-mit
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libsasl2-modules-gssapi-heimdal
Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the MIT
 Kerberos 5 library.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libsasl2-2 (= ${binary:Version}),
	 libc6-dev,
	 ${misc:Depends}
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: libsasl2-modules-gssapi-heimdal
Architecture: any
Multi-Arch: same
Priority: extra
Depends: libsasl2-modules (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libsasl2-modules-gssapi-mit
Description: Pluggable Authentication Modules for SASL (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the Heimdal
 Kerberos 5 library.

Package: cyrus-sasl2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: libsasl2-2 (= ${binary:Version}),
	 ${misc:Depends}
Recommends: cyrus-sasl2-mit-dbg | cyrus-sasl2-heimdal-dbg
Description: Cyrus SASL - debugging symbols
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for all Cyrus SASL packages.
 The debugging symbols can be useful when investigating crashes in the SASL
 library or tools. You may be asked to install this package if you encounter
 such a crash.

Package: cyrus-sasl2-mit-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: cyrus-sasl2-dbg (= ${binary:Version}),
	 libsasl2-modules-gssapi-mit (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: cyrus-sasl2-heimdal-dbg
Description: Cyrus SASL - debugging symbols for MIT modules
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for the Cyrus SASL MIT
 GSSAPI modules package (libsasl2-modules-gssapi-mit). The debugging
 symbols can be useful when investigating crashes in the SASL library or
 tools. You may be asked to install this package if you encounter such a
 crash.

Package: cyrus-sasl2-heimdal-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: cyrus-sasl2-dbg (= ${binary:Version}),
	 libsasl2-modules-gssapi-heimdal (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: cyrus-sasl2-mit-dbg
Description: Cyrus SASL - debugging symbols for Heimdal modules
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for the Cyrus SASL Heimdal
 GSSAPI modules package (libsasl2-modules-gssapi-heimdal). The debugging
 symbols can be useful when investigating crashes in the SASL library or
 tools. You may be asked to install this package if you encounter such a
 crash.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for CMU Cyrus SASL version 2.1
# 
# Copyright (c) 2011 by Ondřej Surý - migrated to dh7
# Based on previous work (c) 2006 by Fabian Fagerholm.
# Based on previous work by Dima Barsky.
# Based on cyrus-imapd-2.2 packages by Henrique de Moraes Holshuch.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# Note that Cyrus SASL itself is published under a different license.

# Debhelper control.
export DH_ALWAYS_EXCLUDE=CVS
#export DH_VERBOSE=1 # uncomment this to turn on verbose mode

# Enable package hardening through dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Save Berkeley DB used for building the package
BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

# SQL support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_SQL=--enable-sql
else
	CONFIGURE_SQL=--disable-sql
	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-sql
endif

# LDAP support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-ldap,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_LDAP=--with-ldap
	CONFIGURE_LDAPDB=--enable-ldapdb
else
	CONFIGURE_LDAP=--without-ldap
	CONFIGURE_LDAPDB=--disable-ldapdb
	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-ldap
endif

# GSSAPI support may be turned off during the build, but is on by default
ifeq (,$(findstring no-gssapi,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_GSSAPI=--enable-gssapi
else
	CONFIGURE_GSSAPI=--disable-gssapi
	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-gssapi-mit \
		-Nlibsasl2-modules-gssapi-heimdal \
		-Ncyrus-sasl2-mit-dbg \
		-Ncyrus-sasl2-heimdal-dbg
endif

CONFIGURE_COMMON_OPTIONS= \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--enable-static \
	--enable-shared \
	--enable-alwaystrue \
	--enable-checkapop \
	--enable-cram \
	--enable-digest \
	--enable-otp \
	--disable-srp \
	--disable-srp-setpass \
	--disable-krb4 \
	$(CONFIGURE_GSSAPI) \
	--enable-gss_mutexes \
	--enable-auth-sasldb \
	--enable-plain \
	--enable-anon \
	--enable-login \
	--enable-ntlm \
	--disable-passdss \
	$(CONFIGURE_SQL) \
	--with-sqlite3=/usr \
	--with-mysql=/usr \
	--with-pgsql=/usr/include/postgresql \
	$(CONFIGURE_LDAPDB) \
	--disable-macos-framework \
	--with-pam=/usr \
	--with-saslauthd=/var/run/saslauthd \
	$(CONFIGURE_LDAP) \
	--with-configdir=/etc/sasl2:/etc/sasl:/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
	--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
	--sysconfdir=/etc \
	--with-devrandom=/dev/urandom

# Some convenience variables
export TMPBUILD_MIT := $(CURDIR)/build-mit
export TMPBUILD_HEIMDAL := $(CURDIR)/build-heimdal
export HEIMDAL_LDFLAGS := $(shell krb5-config.heimdal --libs gssapi | sed -e 's/ -l.*//')
export HEIMDAL_CPPFLAGS := $(shell krb5-config.heimdal --cflags gssapi)
export TMPPKG_MIT := $(CURDIR)/debian/tmp-mit
export TMPPKG_HEIMDAL := $(CURDIR)/debian/tmp-heimdal

AUTOFILES=acinclude.m4 aclocal.m4 config/config.sub config/config.guess \
		  config/ltmain.sh config/libtool.m4
BUILD_TMP_SUFFIX=.debian-build.tmp

### The Makefile targets begin. ###

%:
	dh $@ --with=quilt --with=autotools_dev --with=autoreconf $(DH_PACKAGE_EXCLUDES)

override_dh_auto_clean:
	dh_auto_clean -B$(TMPBUILD_MIT)
	dh_auto_clean -B$(TMPBUILD_HEIMDAL)

	rm -f $(CURDIR)/sample/sample-client \
		$(CURDIR)/sample/sample-server
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f config.h config.log autom4ate.cache

	# Remove symlinks that the CMU build sets up but never removes.
	# They can be found by running find . -lname '*' -print in the
	# source tree before and after a build and comparing the differences.
	rm -f lib/sasldb.c lib/db_berkeley.c lib/allockey.c lib/cram.c \
			lib/digestmd5.c lib/otp.c lib/gssapi.c lib/plain.c \
			lib/anonymous.c lib/login.c lib/ntlm.c lib/sql.c lib/ldapdb.c

	# Remove generated man pages
	-rm -f sasl-sample-client.8 sasl-sample-server.8 gen-auth.1

	# Remove build directories
	rm -rf $(TMPBUILD_MIT) $(TMPBUILD_HEIMDAL) $(TMPPKG_MIT) $(TMPPKG_HEIMDAL)

override_dh_auto_configure:
	LDFLAGS="$(LDFLAGS) -L/usr/lib/mit-krb5 -Wl,-z,defs" \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -I/usr/include/mit-krb5" \
	dh_auto_configure -B$(TMPBUILD_MIT) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=mit

	LDFLAGS="$(LDFLAGS) $(HEIMDAL_LDFLAGS) -Wl,-z,defs" \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) $(HEIMDAL_CPPFLAGS)" \
	dh_auto_configure -B$(TMPBUILD_HEIMDAL) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=heimdal

	# Record the build-time settings for later reference
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options

	grep with\ options $(TMPBUILD_MIT)/config.status | sed -e \
		's/^.*options \\"/configure /;s/\\"$///' \
		>> debian/README.configure-options

override_dh_auto_build:
	dh_auto_build -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
	dh_auto_build -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2

	# Build sample-{client,server}
	$(MAKE) -f $(CURDIR)/debian/sample/Makefile -C $(CURDIR)/sample T=$(TMPBUILD_MIT)

	# Build the sasl-sample-client and sasl-sample-server man pages.
	/usr/bin/docbook-to-man debian/sasl-sample-client.sgml \
		> sasl-sample-client.8
	/usr/bin/docbook-to-man debian/sasl-sample-server.sgml \
		> sasl-sample-server.8
	# Build the gen-auth man page
	/usr/bin/pod2man --stderr debian/gen-auth/gen-auth >gen-auth.1

override_dh_auto_install:
	dh_auto_install -B$(TMPBUILD_MIT) -- DESTDIR=$(TMPPKG_MIT) sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
	dh_auto_install -B$(TMPBUILD_HEIMDAL) -- DESTDIR=$(TMPPKG_HEIMDAL) sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2


	# Note the version of Berkeley DB used to build this package
	mkdir -p $(TMPPKG_MIT)/usr/lib/sasl2
	echo $(BDB_VERSION) > $(TMPPKG_MIT)/usr/lib/sasl2/berkeley_db.txt

	# Alter the default location and names of files to fit Debian
	# policy and better integrate with the Debian system.
	mv $(TMPPKG_MIT)/usr/sbin/pluginviewer $(TMPPKG_MIT)/usr/sbin/saslpluginviewer
	mv $(TMPPKG_MIT)/usr/share/man/man8/pluginviewer.8 \
		$(TMPPKG_MIT)/usr/share/man/man8/saslpluginviewer.8
	install -m 644 saslauthd/saslauthd.mdoc \
		$(TMPPKG_MIT)/usr/share/man/man8/saslauthd.8
	install -m 644 $(CURDIR)/debian/testsaslauthd.8 \
		$(TMPPKG_MIT)/usr/share/man/man8/testsaslauthd.8
	mv $(TMPPKG_MIT)/usr/sbin/dbconverter-2 $(TMPPKG_MIT)/usr/sbin/sasldbconverter2

	# Install sample-{client,server} with Debianized names
	install -m 755 -D $(CURDIR)/sample/sample-client \
		$(TMPPKG_MIT)/usr/bin/sasl-sample-client
	install -m 755 -D $(CURDIR)/sample/sample-server \
		$(TMPPKG_MIT)/usr/sbin/sasl-sample-server

	# Alter the rpath of certain binaries and shared libraries.
	chrpath -d $(TMPPKG_MIT)/usr/sbin/sasldblistusers2 \
		$(TMPPKG_MIT)/usr/sbin/saslpasswd2
ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.*.*.*
endif

	# Install the sasl-sample-client and -server man pages.
	dh_installman -psasl2-bin sasl-sample-client.8 sasl-sample-server.8

	# Install saslfinger
	install -m 644 -D $(CURDIR)/debian/saslfinger/saslfinger.1 \
		$(TMPPKG_MIT)/usr/share/man/man1/saslfinger.1
	install -m 755 -D $(CURDIR)/debian/saslfinger/saslfinger \
		$(TMPPKG_MIT)/usr/bin/saslfinger

	# Install gen-auth
	install -m 755 -D $(CURDIR)/debian/gen-auth/gen-auth \
		$(TMPPKG_MIT)/usr/bin/gen-auth

	# Install logcheck snippet

=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg\d*$// \
ftp://ftp.cyrusimap.org/cyrus-sasl/ \
(?:|.*/)cyrus-sasl(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian debian/repack.sh

## cyrus-sasl2 2.1.27~101

=== docsrc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
SOURCEDIR     = .
BUILDDIR      = build

# Only need Perl2RST if building docs from Perl modules, which cyrus-sasl doesn't have
#PERL2RST      = ../tools/perl2rst

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# User-friendly check for perl2rst
#ifeq ($(shell which $(PERL2RST) >/dev/null 2>&1; echo $$?), 1)
#$(error The '$(PERL2RST)' command was not found. Make sure you have perl2rst installed, then set the PERL2RST environment variable to point to #the full path of the '$(PERL2RST)' script. It relies on Perl module Pod::POM::View::Restructured)
#endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CyrusIMAP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CyrusIMAP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: 
	$(SPHINXBUILD) -b cyrman $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## cyrus-sasl2 2.1.27~101-g0780600%2Bdfsg

=== debian/changelog ===
cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3) unstable; urgency=medium

  [ Holger Levsen ]
  * NMU to help with #856847.

  [ Andreas Beckmann ]
  * libsasl2-modules.postinst: Remove executable permissions from
    /etc/logcheck/ignore.d.server/libsasl2-modules on upgrades from jessie.
    (Closes: #819893)

 -- Holger Levsen <holger@debian.org>  Sun, 19 Mar 2017 12:30:33 +0000

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-2) unstable; urgency=medium

  * Reinstate Heimdal Kerberos support (Closes: #849706)
  * Add TLS to http protocol links in d/control

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Dec 2016 15:59:34 +0100

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.27~101-g0780600+dfsg
  * Rebase patches on top of 2.1.27~101-g0780600+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Nov 2016 13:35:52 +0100

cyrus-sasl2 (2.1.27~72-g88d82a3+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.1.27~72-g88d82a3+dfsg
  * Switch repack.sh to repack.stub
  * Remove d/autoreconf, not needed anymore
  * Disable 0006-Link-with-libsasldb.a-instead-of-libsasldb.al.patch to
    fix FTBFS
  * Update d/control with heimdal removal
  * Run wrap-and-sort -a over d/ directory
  * Update Conflicts/Replaces for new 2.1.27 git snapshot
  * Rebase patches on top of 2.1.27~72-g88d82a3+dfsg
  * Update d/rules to remove heimdall and more cleanups
  * Remove heimdal packages (Closes: #837724)
  * Change linking from sasldb/.libs/libsasldb.al to sasldb/libsasldb.la
  * Cleanup LTLIBOBJS for modern autotools
  * Add ${with_pgsql}include/postgresql/ to include path
  * Add default Debian hardening to sample server and client
  * Fix some lintian errors
  * Update and fix d/copyright after major d/ rewrite
  * Fix more libsasl2.pc variables

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Oct 2016 17:39:20 +0200

cyrus-sasl2 (2.1.26.dfsg1-16) unstable; urgency=medium

  * Add trailing slash to find command in init script, so people can have
    /etc/default as symlink (Closes: #791814)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Mar 2016 14:06:38 +0100

cyrus-sasl2 (2.1.26.dfsg1-15) unstable; urgency=medium

  * Add fix for auth_rimap infinite loop (hang) when IMAP server closes
    connection (Closes: #815208)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Mar 2016 11:54:40 +0100

## cyrus-sasl2 2.1.27~101-g0780600+dfsg

=== debian/changelog ===
cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:58 +0000

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1710684). Remaining changes:
    - debian/patches/0033-Missing-definition-of-OPENSSL_zalloc.patch: Grab patch
      from upstream Git to fix FTBFS with older versions of OpenSSL.
      + LP #1672941

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 14 Aug 2017 15:11:41 -0300

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-2ubuntu1) zesty; urgency=medium

  * debian/patches/0033-Missing-definition-of-OPENSSL_zalloc.patch: Grab patch
    from upstream Git to fix FTBFS with older versions of OpenSSL.
    - LP: #1672941

 -- Logan Rosen <logan@ubuntu.com>  Tue, 28 Mar 2017 15:23:23 -0700

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,16 @@
 # Enable package hardening through dpkg-buildflags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append LDFLAGS
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
 
 # Save Berkeley DB used for building the package
 BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
@@ -53,9 +60,7 @@
 else
 	CONFIGURE_GSSAPI=--disable-gssapi
 	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-gssapi-mit \
-		-Nlibsasl2-modules-gssapi-heimdal \
-		-Ncyrus-sasl2-mit-dbg \
-		-Ncyrus-sasl2-heimdal-dbg
+		-Nlibsasl2-modules-gssapi-heimdal
 endif
 
 CONFIGURE_COMMON_OPTIONS= \
@@ -84,7 +89,7 @@
 	$(CONFIGURE_SQL) \
 	--with-sqlite3=/usr \
 	--with-mysql=/usr \
-	--with-pgsql=/usr/include/postgresql \
+	--with-pgsql=/usr \
 	$(CONFIGURE_LDAPDB) \
 	--disable-macos-framework \
 	--with-pam=/usr \
@@ -98,14 +103,15 @@
 # Some convenience variables
 export TMPBUILD_MIT := $(CURDIR)/build-mit
 export TMPBUILD_HEIMDAL := $(CURDIR)/build-heimdal
+export MIT_LDFLAGS := $(shell krb5-config.mit --libs gssapi | sed -e 's/ -l.*//')
+export MIT_CPPFLAGS := $(shell krb5-config.mit --cflags gssapi)
 export HEIMDAL_LDFLAGS := $(shell krb5-config.heimdal --libs gssapi | sed -e 's/ -l.*//')
 export HEIMDAL_CPPFLAGS := $(shell krb5-config.heimdal --cflags gssapi)
-export TMPPKG_MIT := $(CURDIR)/debian/tmp-mit
-export TMPPKG_HEIMDAL := $(CURDIR)/debian/tmp-heimdal
 
 AUTOFILES=acinclude.m4 aclocal.m4 config/config.sub config/config.guess \
 		  config/ltmain.sh config/libtool.m4
-BUILD_TMP_SUFFIX=.debian-build.tmp
+
+TMPBUILD=$(CURDIR)/build
 
 ### The Makefile targets begin. ###
 
@@ -132,16 +138,16 @@
 	-rm -f sasl-sample-client.8 sasl-sample-server.8 gen-auth.1
 
 	# Remove build directories
-	rm -rf $(TMPBUILD_MIT) $(TMPBUILD_HEIMDAL) $(TMPPKG_MIT) $(TMPPKG_HEIMDAL)
+	rm -rf $(TMPBUILD_MIT) $(TMPBUILD_HEIMDAL)
 
 override_dh_auto_configure:
-	LDFLAGS="$(LDFLAGS) -L/usr/lib/mit-krb5 -Wl,-z,defs" \
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -I/usr/include/mit-krb5" \
-	dh_auto_configure -B$(TMPBUILD_MIT) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=mit
-
-	LDFLAGS="$(LDFLAGS) $(HEIMDAL_LDFLAGS) -Wl,-z,defs" \
+	LDFLAGS="$(LDFLAGS) $(HEIMDAL_LDFLAGS)" \
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) $(HEIMDAL_CPPFLAGS)" \
 	dh_auto_configure -B$(TMPBUILD_HEIMDAL) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=heimdal
+
+	LDFLAGS="$(LDFLAGS) $(MIT_LDFLAGS)" \
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) $(MIT_CPPFLAGS)" \
+	dh_auto_configure -B$(TMPBUILD_MIT) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=mit
 
 	# Record the build-time settings for later reference
 	echo 'To build this package, configure was called as follows:' \
@@ -152,8 +158,8 @@
 		>> debian/README.configure-options
 
 override_dh_auto_build:
+	dh_auto_build -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
 	dh_auto_build -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
-	dh_auto_build -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
 
 	# Build sample-{client,server}
 	$(MAKE) -f $(CURDIR)/debian/sample/Makefile -C $(CURDIR)/sample T=$(TMPBUILD_MIT)
@@ -167,36 +173,41 @@
 	/usr/bin/pod2man --stderr debian/gen-auth/gen-auth >gen-auth.1
 
 override_dh_auto_install:
-	dh_auto_install -B$(TMPBUILD_MIT) -- DESTDIR=$(TMPPKG_MIT) sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
-	dh_auto_install -B$(TMPBUILD_HEIMDAL) -- DESTDIR=$(TMPPKG_HEIMDAL) sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
-
+	dh_auto_install -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
+	dh_auto_install -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
+
+	# Remove static plugins - they are useless
+	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/*.a
+	# Remove libtool la files, they are eeevil
+	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la \
+	   debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/*.la
 
 	# Note the version of Berkeley DB used to build this package
-	mkdir -p $(TMPPKG_MIT)/usr/lib/sasl2
-	echo $(BDB_VERSION) > $(TMPPKG_MIT)/usr/lib/sasl2/berkeley_db.txt
+	mkdir -p debian/tmp/usr/lib/sasl2
+	echo $(BDB_VERSION) > debian/tmp/usr/lib/sasl2/berkeley_db.txt
 
 	# Alter the default location and names of files to fit Debian
 	# policy and better integrate with the Debian system.
-	mv $(TMPPKG_MIT)/usr/sbin/pluginviewer $(TMPPKG_MIT)/usr/sbin/saslpluginviewer
-	mv $(TMPPKG_MIT)/usr/share/man/man8/pluginviewer.8 \
-		$(TMPPKG_MIT)/usr/share/man/man8/saslpluginviewer.8
+	mv debian/tmp/usr/sbin/pluginviewer debian/tmp/usr/sbin/saslpluginviewer
+	mv debian/tmp/usr/share/man/man8/pluginviewer.8 \
+		debian/tmp/usr/share/man/man8/saslpluginviewer.8
 	install -m 644 saslauthd/saslauthd.mdoc \
-		$(TMPPKG_MIT)/usr/share/man/man8/saslauthd.8
+		debian/tmp/usr/share/man/man8/saslauthd.8
 	install -m 644 $(CURDIR)/debian/testsaslauthd.8 \
-		$(TMPPKG_MIT)/usr/share/man/man8/testsaslauthd.8
-	mv $(TMPPKG_MIT)/usr/sbin/dbconverter-2 $(TMPPKG_MIT)/usr/sbin/sasldbconverter2
+		debian/tmp/usr/share/man/man8/testsaslauthd.8
+	mv debian/tmp/usr/sbin/dbconverter-2 debian/tmp/usr/sbin/sasldbconverter2
 
 	# Install sample-{client,server} with Debianized names
 	install -m 755 -D $(CURDIR)/sample/sample-client \
-		$(TMPPKG_MIT)/usr/bin/sasl-sample-client
+		debian/tmp/usr/bin/sasl-sample-client
 	install -m 755 -D $(CURDIR)/sample/sample-server \
-		$(TMPPKG_MIT)/usr/sbin/sasl-sample-server
+		debian/tmp/usr/sbin/sasl-sample-server
 
 	# Alter the rpath of certain binaries and shared libraries.
-	chrpath -d $(TMPPKG_MIT)/usr/sbin/sasldblistusers2 \
-		$(TMPPKG_MIT)/usr/sbin/saslpasswd2
+	chrpath -d debian/tmp/usr/sbin/sasldblistusers2 \
+		debian/tmp/usr/sbin/saslpasswd2
 ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
-	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.*.*.*
+	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.*.*.*
 endif
 
 	# Install the sasl-sample-client and -server man pages.
@@ -204,12 +215,3 @@
 
 	# Install saslfinger
 	install -m 644 -D $(CURDIR)/debian/saslfinger/saslfinger.1 \
-		$(TMPPKG_MIT)/usr/share/man/man1/saslfinger.1
-	install -m 755 -D $(CURDIR)/debian/saslfinger/saslfinger \
-		$(TMPPKG_MIT)/usr/bin/saslfinger
-
-	# Install gen-auth
-	install -m 755 -D $(CURDIR)/debian/gen-auth/gen-auth \
-		$(TMPPKG_MIT)/usr/bin/gen-auth
-
-	# Install logcheck snippet

## cyrus-sasl2 2.1.27~rc8

=== debian/changelog ===
cyrus-sasl2 (2.1.27~rc8-1) unstable; urgency=medium

  * New upstream version 2.1.27~rc8
  * Rebase patches for Cyrus SASL 2.1.27~rc8
  * Cleanup d/control

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Oct 2018 08:05:10 +0000

cyrus-sasl2 (2.1.27~rc4-1) unstable; urgency=medium

  * New upstream version 2.1.27~rc4
  * Refresh patches for 2.4.27~rc4 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Sep 2017 09:53:57 +0200

=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>,
           Roberto C. Sanchez <roberto@connexer.com>,
           Ondřej Surý <ondrej@debian.org>,
           Adam Conrad <adconrad@0c3.net>
Standards-Version: 3.9.8
Build-Depends: automake (>= 1:1.14),
               autotools-dev,
               chrpath,
               debhelper (>= 9),
               default-libmysqlclient-dev | libmysqlclient-dev,
               dh-autoreconf,
               docbook-to-man,
               groff-base,
               heimdal-multidev,
               krb5-multidev,
               libdb-dev,
               libkrb5-dev,
               libldap2-dev,
               libpam0g-dev,
               libpq-dev,
               libsqlite3-dev,
               libssl-dev,
               po-debconf,
               quilt
Build-Conflicts: heimdal-dev
Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
Homepage: https://www.cyrusimap.org/sasl/

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Depends: db-util,
         libsasl2-2 (>= ${binary:Version}),
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libsasl2-modules-db (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libsasl2-modules (>= ${binary:Version})
Breaks: postfix (<= 2.8.3-1),
        slapd (<= 2.4.25-3)
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.

Package: libsasl2-modules
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal,
          libsasl2-modules-ldap,
          libsasl2-modules-otp,
          libsasl2-modules-sql
Breaks: logcheck-database (<= 1.3.16~)
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-db
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (DB)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the DB plugin, which supports Berkeley DB lookups.

Package: libsasl2-modules-ldap
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-modules-gssapi-mit
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-heimdal
Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the MIT
 Kerberos 5 library.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libc6-dev,
         libsasl2-2 (= ${binary:Version}),
         ${misc:Depends}
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: libsasl2-modules-gssapi-heimdal
Architecture: any
Multi-Arch: same
Priority: extra
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-mit
Description: Pluggable Authentication Modules for SASL (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the Heimdal
 Kerberos 5 library.
